Bug 41686 - Building sun.security.jgss.GSSUtil requires javax.security.auth.kerberos.KerberosTicket.getSessionKeyType():
Summary: Building sun.security.jgss.GSSUtil requires javax.security.auth.kerberos.Kerb...
Status: RESOLVED FIXED
Alias: None
Product: classpath
Classification: Unclassified
Component: classpath (show other bugs)
Version: 0.98
: P3 normal
Target Milestone: 0.99
Assignee: Andrew John Hughes
URL:
Keywords:
Depends on:
Blocks: 39410
  Show dependency treegraph
 
Reported: 2009-10-12 17:40 UTC by Andrew John Hughes
Modified: 2010-10-12 17:29 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2009-10-12 18:45:21


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew John Hughes 2009-10-12 17:40:47 UTC
# Running javac:
/mnt/builder/icedtea7/bootstrap/jdk1.6.0/bin/javac -J-XX:ThreadStackSize=1536 -J-XX:-PrintVMOptions -J-XX:+UnlockDiagnosticVMOptions -J-XX:-LogVMOutput -J-Xmx896m -J-Xms128m -J-XX:PermSize=32m -J-XX:MaxPermSize=160m -g -source 7 -target 7 -encoding ascii -Xbootclasspath:/mnt/builder/icedtea7/openjdk-boot/build/linux-amd64/classes -sourcepath /mnt/builder/icedtea7/generated:../../../../src/solaris/classes:../../../../src/share/classes -bootclasspath /mnt/builder/icedtea7/bootstrap/jdk1.7.0/jre/lib/rt-closed.jar::/mnt/builder/icedtea7/openjdk-boot/build/linux-amd64/classes -d /mnt/builder/icedtea7/openjdk-boot/build/linux-amd64/classes @/mnt/builder/icedtea7/openjdk-boot/build/linux-amd64/tmp/sun/org.ietf.jgss/.classes.list
Annotation processing got disabled, since it requires a 1.6 compliant JVM
----------
1. ERROR in /mnt/builder/icedtea7/openjdk-boot/jdk/make/org/ietf/jgss/../../../../src/share/classes/sun/security/jgss/GSSUtil.java (at line 202)
	tempTkt.getSessionKeyType(),
	        ^^^^^^^^^^^^^^^^^
The method getSessionKeyType() is undefined for the type KerberosTicket
----------
1 problem (1 error)make[6]: *** [.compile.classlist] Error 255
make[6]: Leaving directory `/mnt/builder/icedtea7/openjdk-boot/jdk/make/org/ietf/jgss'
Comment 2 Andrew John Hughes 2010-01-30 01:59:47 UTC
CVSROOT:        /sources/classpath
Module name:    classpath
Changes by:     Andrew John Hughes <gnu_andrew> 10/01/30 01:58:20

Modified files:
       .              : ChangeLog
       javax/security/auth/kerberos: KerberosTicket.java KeyImpl.java

Log message:
       PR classpath/41686 Implement KerberosTicket.getSessionKeyType()

       2010-01-30  Andrew John Hughes  <ahughes@redhat.com>

               PR classpath/41686
               * javax/security/auth/kerberos/KerberosTicket.java:
               Fix formatting.
               (toString()): Add full implementation.
               (getSessionKeyType()): Implemented.
               * javax/security/auth/kerberos/KeyImpl.java:
               (toString()): Implemented.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/classpath/ChangeLog?cvsroot=classpath&r1=1.9777&r2=1.9778
http://cvs.savannah.gnu.org/viewcvs/classpath/javax/security/auth/kerberos/KerberosTicket.java?cvsroot=classpath&r1=1.1&r2=1.2
http://cvs.savannah.gnu.org/viewcvs/classpath/javax/security/auth/kerberos/KeyImpl.java?cvsroot=classpath&r1=1.1&r2=1.2

Comment 3 Andrew John Hughes 2010-10-12 17:29:43 UTC
Merged to gcj in libgcj-snapshot-20100921.